#include <stdio.h>
#include <unistd.h>

#define BUFSIZE 16

int main( void )
{
	char wbuf[ BUFSIZE ] = "HELLO WORLD";
	char rbuf[ BUFSIZE ] = "";
	FILE* fp;

	if ( ( fp = fopen( "/dev/chardev", "r+" ) ) == NULL ) {
		perror( "fopen" );
		return 1;
	}

	printf( "Contents of buffer for write is \"%s\"\n", wbuf );

	if ( fwrite( wbuf, BUFSIZE, 1, fp ) < 1 ) {
		perror( "fwrite" );
		return 1;
	}

	fflush( fp );

	if ( fread( rbuf, BUFSIZE, 1, fp ) < 1 ) {
		perror( "fread" );
		return 1;
	}

	printf( "Contents of buffer for read  is \"%s\"\n", rbuf );
	
	printf( "\nWill sleep for 7 seconds.\n" );
	sleep(7);

	fclose( fp );
	return 0;
}	

/* End of chardev_test.c */
