#include <fcntl.h>
#include <stdio.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>


int 
main( void )
{
	int cnt = 0;
	char buf[32];
	int fd;
	fd_set org_set, read_set;


	if ( ( fd = open( "/dev/chardev", O_RDWR ) ) < 0 ) {
		perror( "open" );
		exit( 1 );
	}


	FD_ZERO( &org_set );
	FD_SET( fd, &org_set );

	while ( cnt < 5 ) {
		read_set = org_set;

		printf( "Calling select() ...\n" );

		if ( select( fd + 1, &read_set, NULL, NULL, NULL ) < 0 ) {
			perror( "select" );
			close( fd );
			exit( 1 );
		}

		printf( "Now possible to read()\n" );
		read( fd, buf, sizeof( buf ) );

		cnt ++;
	}

	close( fd );
	return 0;
}


/* End of poll_test.c */

