#ifndef ___chardev_ioctl_h_included_
#define ___chardev_ioctl_h_included_

#include <linux/ioctl.h>

/* 
 * /dev/chardev Ф ioctl() ޥɤ˻ȤޥåʥС
 *
 * /usr/src/linux/Documentation/ioctl-number.txt ˵ҤƤ 
 * Code Ȥ֤ĤʤΤ
 */
#define CHARDEV_IOCTL_MAGIC  0xAE


#define CHARDEV_IOCTL_TELL   _IOC( _IOC_NONE,  CHARDEV_IOCTL_MAGIC, 0, 0 )
#define CHARDEV_IOCTL_SET    _IOC( _IOC_WRITE, CHARDEV_IOCTL_MAGIC, 1, sizeof( int ) )
#define CHARDEV_IOCTL_QUERY  _IOC( _IOC_NONE,  CHARDEV_IOCTL_MAGIC, 2, 0 ) 
#define CHARDEV_IOCTL_GET    _IOC( _IOC_READ,  CHARDEV_IOCTL_MAGIC, 3, sizeof( int ) )
#define CHARDEV_IOCTL_RESET  _IOC( _IOC_NONE,  CHARDEV_IOCTL_MAGIC, 4, 0 )


#endif


/* End of chardev_ioctl.h */
