#ifndef ___hw_io_h_included_
#define ___hw_io_h_included_


#define IOPORT_BASE     0x378
#define IOPORT_RANGE    3

#define IOPORT_DATA     ( IOPORT_BASE + 0 )
#define IOPORT_STATUS   ( IOPORT_BASE + 1 )
#define IOPORT_CONTROL  ( IOPORT_BASE + 2 )

#define DATA_LED_1      0
#define DATA_LED_2      1
#define DATA_LED_3      2
#define DATA_PULLUP     3
#define STATUS_ACK      6


void
io_write_or( unsigned short port, unsigned int value );

void
io_write_xor( unsigned short port, unsigned int value );

void
io_write_set( unsigned short port, unsigned int value );

int
io_is_button_pressed();


#endif /* ___hw_io_h_included_ */

/* End of hw_io.h */
